API Facebook
Accédez aux données Facebook incluant pages, publications et informations utilisateur pour les agents IA
URL de base
https://api.pressmonitor.com/facebook/v1 Authentification
Toutes les requêtes utilisent une authentification par jeton Bearer. Ajoutez l’en-tête Authorization à chaque appel.
Authorization: Bearer YOUR_TOKEN /album-metadata Métadonnées de l’album
Métadonnées de l’album
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| album_id | string | requête | Oui | Identifiant de l’album |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/album-metadata" querystring = {"album_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/event-details Détails de l’événement
Détails de l’événement
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| event_id | string | requête | Oui | Identifiant de l’événement |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/event-details?event_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/event-details" querystring = {"event_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/events-search Recherche d'événements
Recherche d'événements
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | query | Oui | Requête de recherche |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/events-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/get-post Obtenir un post
Obtenir un post
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| post_id | string | query | Oui | Identifiant du post |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/get-post?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/get-post" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/group-about À propos du groupe
À propos du groupe
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | query | Oui | Identifiant |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-about?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-about" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/group-admins Administrateurs du groupe
Administrateurs du groupe
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | query | Oui | Identifiant |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-admins" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/group-albums Albums du groupe
Albums du groupe
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | query | Oui | Identifiant |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/group-feed Fil d’actualité du groupe
Fil d’actualité du groupe
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | requête | Oui | Identifiant |
| end_cursor | string | requête | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/group-info Informations sur le groupe
Informations sur le groupe
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | requête | Oui | Identifiant |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-info?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-info" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/group-members Membres du groupe
Membres du groupe
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | requête | Oui | Identifiant |
| end_cursor | string | requête | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-members" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/group-photos Photos du groupe
Photos du groupe
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | requête | Oui | Identifiant |
| end_cursor | string | requête | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-photos" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/groups Groupes
Groupes
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | requête | Oui | Requête de recherche |
| end_cursor | string | requête | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/groups" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/marketplace-product Produit du marketplace
Produit du marketplace
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| product_id | string | query | Oui | Identifiant du produit |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-product" querystring = {"product_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/marketplace-profile Profil du marketplace
Profil du marketplace
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| user_id | string | query | Oui | Identifiant utilisateur |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-profile" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/marketplace-search Recherche sur le marketplace
Recherche sur le marketplace
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | query | Oui | Requête de recherche |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/page-albums Albums de la page
Albums de la page
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | query | Oui | Identifiant |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/page-details Détails de la page
Détails de la page
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | query | Oui | Identifiant |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-details?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-details" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/page-feed Fil d’actualité de la page
Fil d’actualité de la page
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| id | string | requête | Oui | Identifiant |
| end_cursor | string | requête | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/pages-search Recherche de pages
Recherche de pages
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | requête | Oui | Requête de recherche |
| end_cursor | string | requête | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/pages-search-post Recherche de publications de pages
Recherche de publications de pages
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | requête | Oui | Requête de recherche |
| end_cursor | string | requête | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/photos Photos
Photos
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | requête | Oui | Requête de recherche |
| end_cursor | string | requête | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/photos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/post-comments Commentaires de publication
Commentaires de publication
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| post_id | string | requête | Oui | Identifiant de la publication |
| end_cursor | string | requête | Non | Curseur de fin |
| order | string | requête | Non | Ordre |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-comments" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","order":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/post-reactions Réactions au post
Réactions au post
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| post_id | string | query | Oui | ID du post |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/post-reactions-count Nombre de réactions au post
Nombre de réactions au post
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| post_id | string | query | Oui | ID du post |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions-count" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/posts-search Recherche de posts
Recherche de posts
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | query | Oui | Requête de recherche |
| date_posted | string | query | Non | Date de publication |
| end_cursor | string | query | Non | Curseur de fin |
| end_date | string | query | Non | Date de fin |
| recent_posts | string | query | Non | Posts récents |
| start_date | string | query | Non | Date de début |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search" querystring = {"query":"SOME_STRING_VALUE","date_posted":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","end_date":"SOME_STRING_VALUE","recent_posts":"SOME_STRING_VALUE","start_date":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/posts-search-post Recherche de publications
Recherche de publications
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | query | Oui | Requête de recherche |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-about À propos du profil
À propos du profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| user_id | string | query | Oui | ID utilisateur |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-about" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-albums Albums du profil
Albums du profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| user_id | string | query | Oui | ID utilisateur |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-albums" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-feed Fil d’actualité du profil
Fil d’actualité du profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| user_id | string | query | Oui | ID utilisateur |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-feed" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-friends Amis du profil
Amis du profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| user_id | string | query | Oui | ID utilisateur |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-friends" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-likes J’aime sur le profil
J’aime sur le profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| user_id | string | query | Oui | ID utilisateur |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-likes" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-page Page de profil
Page de profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| user_id | string | query | Oui | ID utilisateur |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-page" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-photos Photos du profil
Photos du profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| user_id | string | query | Oui | ID utilisateur |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-photos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-search Recherche de profil
Recherche de profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | query | Oui | Requête de recherche |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-search-post Recherche de publication de profil
Recherche de publication de profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | query | Oui | Requête de recherche |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/profile-videos Vidéos du profil
Vidéos du profil
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| user_id | string | query | Oui | ID utilisateur |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-videos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/url URL
URL
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| url | string | query | Oui | URL |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/video-id-url URL de l'identifiant vidéo
URL de l'identifiant vidéo
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| url | string | query | Oui | URL |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/video-id-url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/video-id-url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Réponses
/videos Vidéos
Vidéos
Paramètres
| Nom | Type | Emplacement | Obligatoire | Description |
|---|---|---|---|---|
| query | string | query | Oui | Requête de recherche |
| end_cursor | string | query | Non | Curseur de fin |
Exemples de code
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/videos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "Erreur cURL #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute();